Page MenuHomePhabricator

Upgrade CI jobs to Quibble 0.0.31
Closed, ResolvedPublic

Description

I have cut it, see J155. Time to upgrade the CI containers and jobs.

Related Objects

StatusAssignedTask
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
OpenNone
OpenNone
ResolvedPaladox
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
OpenPaladox
ResolvedPaladox
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedPaladox
Resolvedhashar
Resolvedhashar
ResolvedTarrow
Resolvedhashar
Resolvedhashar
ResolvedNone
ResolvedJoe
ResolvedJoe
ResolvedJdforrester-WMF
Resolvedbd808
Resolvedhashar
Resolvedhashar
Duplicatehashar

Event Timeline

hashar created this task.Mar 29 2019, 5:03 PM

Change 500081 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: drop ffmpeg from Jessie, upgrade Quibble to 0.0.30

https://gerrit.wikimedia.org/r/500081

Change 500081 merged by jenkins-bot:
[integration/config@master] docker: drop ffmpeg from Jessie, upgrade Quibble to 0.0.30

https://gerrit.wikimedia.org/r/500081

Mentioned in SAL (#wikimedia-releng) [2019-03-29T17:22:24Z] <hashar> Building Ci docker images for quibble 0.0.30 T219647 T219645

Some images fail to build and unfortunately the version of docker-pkg we have does not show the build output :(

[contint1001.wikimedia.org] out: Will build the following images:
[contint1001.wikimedia.org] out: * docker-registry.discovery.wmnet/releng/quibble-stretch:0.0.30
[contint1001.wikimedia.org] out: * docker-registry.discovery.wmnet/releng/quibble-stretch-php72:0.0.30
[contint1001.wikimedia.org] out: * docker-registry.discovery.wmnet/releng/quibble-stretch-hhvm:0.0.30
[contint1001.wikimedia.org] out: * docker-registry.discovery.wmnet/releng/quibble-jessie:0.0.30
[contint1001.wikimedia.org] out: * docker-registry.discovery.wmnet/releng/quibble-jessie-hhvm:0.0.30
[contint1001.wikimedia.org] out: * docker-registry.discovery.wmnet/releng/quibble-stretch-php73:0.0.30
[contint1001.wikimedia.org] out: * docker-registry.discovery.wmnet/releng/quibble-jessie-php55:0.0.30
[contint1001.wikimedia.org] out: * docker-registry.discovery.wmnet/releng/quibble-fresnel:0.0.30
[contint1001.wikimedia.org] out: * docker-registry.discovery.wmnet/releng/quibble-jessie-php56:0.0.30
[contint1001.wikimedia.org] out: * docker-registry.discovery.wmnet/releng/quibble-stretch-php70:0.0.30
[contint1001.wikimedia.org] out: * docker-registry.discovery.wmnet/releng/quibble-stretch-php71:0.0.30
[contint1001.wikimedia.org] out: * docker-registry.discovery.wmnet/releng/quibble-stretch-bundle:0.0.30


[contint1001.wikimedia.org] out: == Step 1: building images ==
[contint1001.wikimedia.org] out: => Building image docker-registry.discovery.wmnet/releng/quibble-stretch:0.0.30
[contint1001.wikimedia.org] out: => Building image docker-registry.discovery.wmnet/releng/quibble-stretch-php72:0.0.30
[contint1001.wikimedia.org] out:  ERROR: image docker-registry.discovery.wmnet/releng/quibble-stretch-php72 failed to build, see logs for details
[contint1001.wikimedia.org] out: => Building image docker-registry.discovery.wmnet/releng/quibble-stretch-hhvm:0.0.30
[contint1001.wikimedia.org] out: => Building image docker-registry.discovery.wmnet/releng/quibble-jessie:0.0.30
[contint1001.wikimedia.org] out:  ERROR: image docker-registry.discovery.wmnet/releng/quibble-jessie failed to build, see logs for details
[contint1001.wikimedia.org] out: => Building image docker-registry.discovery.wmnet/releng/quibble-jessie-hhvm:0.0.30
[contint1001.wikimedia.org] out:  ERROR: image docker-registry.discovery.wmnet/releng/quibble-jessie-hhvm failed to build, see logs for details
[contint1001.wikimedia.org] out: => Building image docker-registry.discovery.wmnet/releng/quibble-stretch-php73:0.0.30
[contint1001.wikimedia.org] out:  ERROR: image docker-registry.discovery.wmnet/releng/quibble-stretch-php73 failed to build, see logs for details
[contint1001.wikimedia.org] out: => Building image docker-registry.discovery.wmnet/releng/quibble-jessie-php55:0.0.30
[contint1001.wikimedia.org] out:  ERROR: image docker-registry.discovery.wmnet/releng/quibble-jessie-php55 failed to build, see logs for details
[contint1001.wikimedia.org] out: => Building image docker-registry.discovery.wmnet/releng/quibble-fresnel:0.0.30
[contint1001.wikimedia.org] out: => Building image docker-registry.discovery.wmnet/releng/quibble-jessie-php56:0.0.30
[contint1001.wikimedia.org] out:  ERROR: image docker-registry.discovery.wmnet/releng/quibble-jessie-php56 failed to build, see logs for details
[contint1001.wikimedia.org] out: => Building image docker-registry.discovery.wmnet/releng/quibble-stretch-php70:0.0.30
[contint1001.wikimedia.org] out: => Building image docker-registry.discovery.wmnet/releng/quibble-stretch-php71:0.0.30
[contint1001.wikimedia.org] out:  ERROR: image docker-registry.discovery.wmnet/releng/quibble-stretch-php71 failed to build, see logs for details
[contint1001.wikimedia.org] out: => Building image docker-registry.discovery.wmnet/releng/quibble-stretch-bundle:0.0.30
[contint1001.wikimedia.org] out: == Step 2: publishing

Will try again later

Mentioned in SAL (#wikimedia-releng) [2019-04-01T08:08:06Z] <hashar> Rebuilding Quibble Jessie containers that failed to build last week due to wikimedia-jessie container. # T219647

hashar added a comment.Apr 1 2019, 9:01 AM

Eventually releng/quibble-jessie fails to build:

2019-04-01 10:52:25,497 [docker-pkg-build] INFO - E: Unable to locate package python3-git

That is due to the removal of jessie-backports. The previous image docker-registry.wikimedia.org/releng/quibble-jessie:0.0.28 had python3-git = 2.1.1-2~bpo8+1 and the following dependencies:

python3-git2.1.1-2~bpo8+1
python3-gitdb2.0.0-2~bpo8+1
python3-smmap2.0.1-1~bpo8+1

Change 500402 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: quibble-jessie lack python3-git, use pip3 instead

https://gerrit.wikimedia.org/r/500402

Change 500402 merged by jenkins-bot:
[integration/config@master] docker: quibble-jessie lack python3-git, use pip3 instead

https://gerrit.wikimedia.org/r/500402

Change 500442 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Switch Jenkins jobs to Quibble 0.0.30

https://gerrit.wikimedia.org/r/500442

Mentioned in SAL (#wikimedia-releng) [2019-04-01T13:11:01Z] <hashar> Upgraded CI Jenkins jobs to Quibble 0.0.30 # T219647

Mentioned in SAL (#wikimedia-operations) [2019-04-01T13:11:11Z] <hashar> Upgraded CI Jenkins jobs to Quibble 0.0.30 # T219647

Change 500442 merged by jenkins-bot:
[integration/config@master] Switch Jenkins jobs to Quibble 0.0.30

https://gerrit.wikimedia.org/r/500442

Change 500452 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Revert "Switch Jenkins jobs to Quibble 0.0.30"

https://gerrit.wikimedia.org/r/500452

Mentioned in SAL (#wikimedia-operations) [2019-04-01T13:50:02Z] <hashar> Reverted CI Jenkins jobs to Quibble 0.0.28 # T219647

Mentioned in SAL (#wikimedia-releng) [2019-04-01T13:50:07Z] <hashar> Reverted CI Jenkins jobs to Quibble 0.0.28 # T219647

hashar added a comment.Apr 1 2019, 1:50 PM

And that fails due to

Database was successfully set up
MediaWiki has been successfully installed. You can now visit <> to view your wiki. If you have questions, check out our frequently asked questions list: <https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:FAQ> or use one of the support forums linked on that page.
Traceback (most recent call last):
  File "/usr/local/bin/quibble", line 11, in <module>
    load_entry_point('quibble==0.0.0', 'console_scripts', 'quibble')()
  File "/usr/local/lib/python3.5/dist-packages/quibble/cmd.py", line 573, in main
    cmd.execute()
  File "/usr/local/lib/python3.5/dist-packages/quibble/cmd.py", line 470, in execute
    self.mw_install()
  File "/usr/local/lib/python3.5/dist-packages/quibble/cmd.py", line 317, in mw_install
    with open(quibblesettings) as qf:
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/lib/python3.5/dist-packages/quibble/mediawiki/local_settings.php'
INFO:backend.MySQL:Terminating MySQL
Build step 'Execute shell' marked build as failure

Change 500452 merged by jenkins-bot:
[integration/config@master] Revert "Switch Jenkins jobs to Quibble 0.0.30"

https://gerrit.wikimedia.org/r/500452

Change 500568 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: rebuild Quibble containers to get 0.0.31

https://gerrit.wikimedia.org/r/500568

Change 500568 merged by jenkins-bot:
[integration/config@master] docker: rebuild Quibble containers to get 0.0.31

https://gerrit.wikimedia.org/r/500568

Mentioned in SAL (#wikimedia-releng) [2019-04-01T20:44:54Z] <hashar> Building Quibble 0.0.31 containers again # T219647 T219786

hashar renamed this task from Upgrade CI jobs to Quibble 0.0.30 to Upgrade CI jobs to Quibble 0.0.31.Apr 1 2019, 10:30 PM

Change 500682 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Switch Jenkins obs to Quibble 0.0.31

https://gerrit.wikimedia.org/r/500682

Change 500682 merged by jenkins-bot:
[integration/config@master] Switch Jenkins obs to Quibble 0.0.31

https://gerrit.wikimedia.org/r/500682

hashar closed this task as Resolved.Apr 2 2019, 9:52 AM

Should be good now.